Subject: bug#73955: closed (Re: [PATCH v4 1/3] services: wireguard: Make the private-key field optional.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Dec 2024 20:40:02 +0000

Your bug report

#73955: [PATCH 0/2] Improve customizability of WireGuard service

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73955: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73955
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v4 1/3] services: wireguard: Make the private-key field optional.
From: Mathieu Othacehe <[email-masked]>
To: Richard Sent <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Dec 2024 21:36:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Richard,

I have pushed the series,

Thanks for your patience,

Mathieu

Subject: [PATCH 0/2] Improve customizability of WireGuard service
From: Richard Sent <[email-masked]>
To: [email-masked]
Cc: [email-masked], Richard Sent <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 22 Oct 2024 17:21:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

The goal for this patch series is to improve wireguard-service's
customizability, primarily by supporting gexps evaluating to strings in most
fields. Prior to this patch, lists of gexp's were not serialized to strings,
preventing certain constructs from being used.

This was prompted from an issue I ran into a while back. [1]

I tested the serialization of several config records and did not notice any
issues. I would greatly appreciate if any users of wireguard-service could
confirm their existing configurations still serialize correctly. You can do so
via these guix REPL commands:

$ guix repl -L /path/to/guix/clone/with/patches
,use (guix)
,use (gnu services vpn)
,build ((@@ (gnu services vpn) wireguard-configuration-file)
        <paste-your-wireguard-configuration>)

I took the liberty of CCing a few people who previously committed to
WireGuard. Apologies if I committed a faux pas. :)

[1]: https://lists.gnu.org/archive/html/help-guix/2024-01/msg00204.html

Richard Sent (2):
  services: wireguard: Make the private-key field optional.
  services: wireguard: Support lists of gexps for most fields.

 doc/guix.texi        |  5 ++-
 gnu/services/vpn.scm | 74 +++++++++++++++++++++++---------------------
 2 files changed, 43 insertions(+), 36 deletions(-)

base-commit: bd26815cf8ce38a3b03676a6e3fc482bb74247cb
-- 
2.46.0